GCLOUD_COMPUTE_IMAGES_LIST(1)

NAME

gcloud compute images list - list Google Compute Engine images

SYNOPSIS

gcloud compute images list [NAME ...] [--preview-images] [--regexp=REGEXP, -r REGEXP] [--show-deprecated] [--no-standard-images] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [--uri] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute images list displays all Google Compute Engine images in a project.

POSITIONAL ARGUMENTS

    [NAME ...]
        If provided, show details for the specified names and/or URIs of resources.

FLAGS

    --preview-images
        Show images that are in limited preview. The preview image projects are: (none)

    --regexp=REGEXP, -r REGEXP
        A regular expression to filter the names of the results on. Any names that do not match the entire regular expression will be filtered out.

    --show-deprecated
        If provided, deprecated images are shown.

    --standard-images
        Show images from well-known image projects. The well known image projects are: centos-cloud, coreos-cloud, debian-cloud, cos-cloud, rhel-cloud, suse-cloud, ubuntu-os-cloud, windows-cloud, windows-sql-cloud. Enabled by default, use --no-standard-images to disable.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To list all images in a project in table form, run:
    $ gcloud compute images list
To list the URIs of all images in a project, run:
    $ gcloud compute images list --uri